The fact was that i could NOT remember the name actually :)

However... have you tried both pppoa3 and pppoa2?

Dunno...

Bye
Marco

Il mar, 2004-01-06 alle 20:33, Junod Antoine ha scritto:
> i blanked /etc/init.d/net.ppp0 but that nothing change. What's mean
> "whatthenameis" ??
> 
> Bye
> 
> antoine
> 
> > Blank COMPLETELY /etc/init.d/net.ppp0 or "whatthenameis"
> > 
> > I did so, and I've got the modem running on gentoo (2.4 and 2.2)
> > 
> > Love
> > Marco
> > 
> > Il mar, 2004-01-06 alle 19:18, [EMAIL PROTECTED] ha scritto:
> > > Hi folks, 
> > > 
> > > That's a long time I try to make my speedtouch usb working under gentoo.
> > It's
> > > connect and then... nothing. Here are all the usefull informations. I
> > really
> > > can't find what's wrong. Maybe you can help me? It should be greet :).
> > (there is
> > > no ppp0 input in ifconfig...)
> > > 
> > > Antoine
> > > 
> > > Output of lsmod
> > > ---------------
> > > Module                  Size  Used by    Not tainted
> > > ppp_synctty             6368   0  (unused)
> > > n_hdlc                  6752   0  (unused)
> > > ppp_async               7744   0  (unused)
> > > ppp_generic            16380   0  [ppp_synctty ppp_async]
> > > slhc                    5248   0  [ppp_generic]
> > > uhci                   25968   0  (unused)
> > > eepro100               20180   1 
> > > mii                     2496   0  [eepro100]
> > > 
> > > Outupt of /etc/init.d/speedtouch start
> > > --------------------------------------
> > > * Starting Speedtouch ADSL Modem......
> > > * Launching the PPP daemon...
> > > * Failed to start the PPP daemon
> > > 
> > > /var/log/messages
> > > -----------------
> > > 
> > > Jan  6 18:53:26 lucie modem_run[1188]: modem_run version 1.2-beta1 started
> > by
> > > root uid 0 
> > > Jan  6 18:53:26 lucie modem_run[1188]: Found ALCATEL SpeedTouch USB modem
> > 
> > > Jan  6 18:53:26 lucie modem_run[1188]: Best offset   6463 with probability
> > 100%
> > > 
> > > Jan  6 18:53:26 lucie modem_run[1188]: Best offset 526179 with probability
> > 100%
> > > 
> > > Jan  6 18:53:28 lucie kernel: usb_control/bulk_msg: timeout
> > > Jan  6 18:53:28 lucie kernel: usbdevfs: USBDEVFS_BULK failed dev 2 ep 0x85
> > len
> > > 512 ret -110
> > > Jan  6 18:53:28 lucie modem_run[1188]: BLOCK1 :    991 bytes   uploaded :
> > OK 
> > > Jan  6 18:53:28 lucie modem_run[1188]: BLOCK2 :    511 bytes downloaded :
> > OK 
> > > Jan  6 18:53:30 lucie modem_run[1188]: BLOCK3 : 526187 bytes   uploaded :
> > OK 
> > > Jan  6 18:53:30 lucie modem_run[1188]: Downloaded in 1657.460000 ms 
> > > Jan  6 18:53:30 lucie modem_run[1188]: BLOCK4 :    511 bytes downloaded :
> > OK
> > > Jan  6 18:53:31 lucie modem_run[1188]: Modem reference : 3EC18607CDAB03 
> > > Jan  6 18:53:45 lucie modem_run[1189]: Received interrupt, len = 6 
> > > Jan  6 18:53:45 lucie modem_run[1189]: Sending a signal to notify the adsl
> > up
> > > state 
> > > Jan  6 18:53:45 lucie modem_run[1188]: ADSL synchronization has been
> > obtained 
> > > Jan  6 18:53:45 lucie modem_run[1188]: Modem State 
> > > Jan  6 18:53:45 lucie modem_run[1188]: ADSL line is up (384 kbit/s down |
> > 64
> > > kbit/s up) 
> > > Jan  6 18:53:46 lucie /etc/hotplug/net.agent: assuming ppp0 is already up
> > > Jan  6 18:54:17 lucie /etc/hotplug/net.agent: assuming ppp0 is already
> > down
> > > Jan  6 18:54:17 lucie /etc/hotplug/net.agent: assuming ppp0 is already up
> > > Jan  6 18:54:48 lucie /etc/hotplug/net.agent: assuming ppp0 is already
> > down
> > > Jan  6 18:54:48 lucie /etc/hotplug/net.agent: assuming ppp0 is already up
> > > Jan  6 18:55:19 lucie /etc/hotplug/net.agent: assuming ppp0 is already
> > down
> > > Jan  6 18:55:19 lucie /etc/hotplug/net.agent: assuming ppp0 is already up
> > > Jan  6 18:55:50 lucie /etc/hotplug/net.agent: assuming ppp0 is already
> > down
> > > Jan  6 18:55:50 lucie /etc/hotplug/net.agent: assuming ppp0 is already up
> > > .... and then continue like that every 31 seconds
> > > 
> > > /etc/init.d/speedtouch
> > > ----------------------
> > > 
> > > #!/sbin/runscript
> > > # Copyright 1999-2003 Gentoo Technologies, Inc.
> > > # Distributed under the terms of the GNU General Public License, v2 or
> > later
> > > 
> > > PPP=$(which pppd)
> > > MODEM_RUN=$(which modem_run)
> > > MOUNT=$(which mount)
> > > UMOUNT=$(which umount)
> > > IFCONFIG=$(which ifconfig)
> > > 
> > > MAX_LOOP=60
> > > 
> > > check_modem_run() {
> > > [ "${MICROCODE:-set}" = set ] && ( eend 1 "Please define \$MICROCODE in
> > > /etc/conf.d/speedtouch" ; exit 1 )
> > > [ -f ${MICROCODE} ] ; eend $? "Failed to find the microcode." || exit 1
> > > [ -x ${MODEM_RUN} ] ; eend $? "Failed to find the 'modem_run' executable."
> > ||
> > > exit 1
> > > 
> > > # usbdevfs is up ?
> > > ( ${MOUNT} | grep -q usbdevfs ) || $MOUNT none /proc/bus/usb -t usbdevfs
> > >
> > > /dev/null 2>&1
> > > 
> > > sleep 1
> > > 
> > > ## Let's check if modem_run is UP. If not let's try lauching it (again)?
> > > ( ps -e | grep -q modem_run ) || $MODEM_RUN -v $VERBOSE -m -f $MICROCODE
> > > RETURNED=$?
> > > 
> > > sleep 1
> > > if [ $RETURNED -ne 0 ]; then              # modem_run CAN'T run
> > >   eerror "Can't load the microcode !!" 
> > >   eerror "Please detach and attach again your modem to the USB port to
> > unload the
> > > microcode."
> > >   eerror "Then run '/etc/init.d/speedtouch start'"
> > > return 1 
> > > fi
> > > 
> > > }
> > > 
> > > depend() {
> > > need localmount modules
> > > }
> > > 
> > > start() {
> > > 
> > > ebegin "Starting Speedtouch ADSL Modem..."
> > > 
> > > check_modem_run || eend 1 "Failed to start Speedtouch ADSL Modem..."
> > > 
> > > [ ! -z $PPP ] ; eend $? "Failed to find ppp" || exit 1
> > > [ -f "/etc/ppp/peers/$PEER" ] ; eend $? "Failed to find peer configuration"
> > ||
> > > exit 1
> > > [ -x $IFCONFIG ] ; eend $? "Failed to find 'ifconfig'" || exit 1
> > > 
> > > ## Allright. Start pppd.
> > > einfo "Launching the PPP daemon..."
> > > rm -f /var/run/pppoa*.pid
> > > start-stop-daemon --start --exec $PPP call $PEER > /dev/null 2>&1
> > > 
> > > RETURNED=1
> > > LOOPS=0
> > > 
> > > # Loop until connection has been established with the ISP
> > > # or the transaction has failed
> > > while [ $RETURNED -ne 0 ] && [ $LOOPS -le $MAX_LOOP ] ; do
> > >     $IFCONFIG | grep -q 'ppp'
> > >     RETURNED=$?
> > >     LOOPS=`expr $LOOPS + 1`
> > >     sleep 1
> > > done
> > > 
> > > if [ $LOOPS -gt $MAX_LOOP ] && [ $RETURNED -ne 0 ] ; then
> > >     eerror "Failed to start the PPP daemon" ; return 1
> > > fi
> > > 
> > >                                   
> > > eend $? "Failed to start Speedtouch ADSL Modem..."
> > > }
> > > 
> > > stop () {
> > > ebegin "Shutting down the SpeedTouch ADSL Modem..."
> > > 
> > > start-stop-daemon --stop --pidfile /var/run/ppp0.pid pppd
> > > 
> > > eend $? "Failed to stop 'pppd'."
> > > }
> > > 
> > > /etc/ppp/peers/adsl
> > > ------------------- 
> > > debug
> > > kdebug 1
> > > noipdefault
> > > defaultroute
> > > #pty "/usr/sbin/pppoa3 -m 1 -c -vpi 8 -vci 35"
> > > pty "/usr/sbin/pppoa2 -vpi 8 -vci 35"
> > > sync
> > > user "myloginname"
> > > noauth
> > > noaccomp
> > > nopcomp
> > > noccp
> > > novj
> > > holdoff 4
> > > persist
> > > maxfail 25
> > > usepeerdns
> > > 
> > > 
> > > Liste de diffusion modem ALCATEL SpeedTouch USB
> > > Pour se d�sinscrire :
> > mailto:[EMAIL PROTECTED]
> > > 
> > >   
> > 
> > -- Attached file included as plaintext by Listar --
> > -- File: signature.asc
> > -- Desc: Questa parte del messaggio =?ISO-8859-1?Q?=E8?= firmata
> > 
> > -----BEGIN PGP SIGNATURE-----
> > Version: GnuPG v1.2.4 (GNU/Linux)
> > 
> > iD8DBQA/+wE6yz5jYFefjkwRAh3AAJ9Qa9g0NTVK3Y2EenjemvmkqmcHYgCeJ6WV
> > H03B7sDXj2S5vs8ed1RxumQ=
> > =LDIU
> > -----END PGP SIGNATURE-----
> > 
> > 
> > Liste de diffusion modem ALCATEL SpeedTouch USB
> > Pour se d�sinscrire :
> > mailto:[EMAIL PROTECTED]
> > 
> >     
> > 
> 

-- Attached file included as plaintext by Listar --
-- File: signature.asc
-- Desc: Questa parte del messaggio =?ISO-8859-1?Q?=E8?= firmata

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBAApuXyz5jYFefjkwRAv/cAJ0aPi7SkDGIZ+4cqXW8Y5KOyPhnGwCfUohZ
v07W9PtsmDv74QG+OVsOcNg=
=n1+9
-----END PGP SIGNATURE-----


Liste de diffusion modem ALCATEL SpeedTouch USB
Pour se d�sinscrire : mailto:[EMAIL PROTECTED]

        

Reply via email to